lkml.org 
[lkml]   [2011]   [Jan]   [26]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: 2.6.36/2.6.37: broken compatibility with userspace input-utils ?
On Wed, Jan 26, 2011 at 12:18:29PM -0200, Mauro Carvalho Chehab wrote:
> Em 26-01-2011 11:08, Gerd Hoffmann escreveu:
> > Hi,
> >
> >> Btw, I took some time to take analyse the input-kbd stuff.
> >> As said at the README:
> >>
> >> This is a small collection of input layer utilities. I wrote them
> >> mainly for testing and debugging, but maybe others find them useful
> >> too :-)
> >> ...
> >> Gerd Knorr<kraxel@bytesex.org> [SUSE Labs]
> >>
> >> This is an old testing tool written by Gerd Hoffmann probably used for him
> >> to test the V4L early Remote Controller implementations.
> >
> > Indeed.
> >
> >> The last "official" version seems to be this one:
> >> http://dl.bytesex.org/cvs-snapshots/input-20081014-101501.tar.gz
> >
> > Just moved the bits to git a few days ago.
> > http://bigendian.kraxel.org/cgit/input/
> >
> > Code is unchanged since 2008 though.
> >
> >> Gerd, if you're still maintaining it, it is a good idea to apply Dmitry's
> >> patch:
> >> http://www.spinics.net/lists/linux-input/msg13728.html
> >
> > Hmm, doesn't apply cleanly ...
>
> I suspect that Dmitry did the patch against the Debian package, based on a 2007
> version of it, as it seems that Debian is using an older version of the package.

Actually it was from Ubuntu, so it is based on 2008 checkout, but they
also have more patches, take a peek here:

https://launchpad.net/ubuntu/+archive/primary/+files/input-utils_0.0.20081014-1.debian.tar.gz

Thanks.

--
Dmitry


\
 
 \ /
  Last update: 2011-01-26 17:49    [from the cache]
©2003-2011 Jasper Spaans